<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {

    public function up(): void
    {
        if (
            Schema::hasColumn('kategori_tps', 'id') &&
            !Schema::hasColumn('kategori_tps', 'id_kategori_tps')
        ) {
            Schema::table('kategori_tps', function (Blueprint $table) {
                $table->renameColumn('id', 'id_kategori_tps');
            });
        }
    }

    public function down(): void
    {
    
    }
};
